<?php

if (!defined('ABSPATH')) {
    exit;
}

return [
    'providers' => [
        \Vehica\Providers\PostTypesServiceProvider::class,
        \Vehica\Providers\FieldServiceProvider::class,
        \Vehica\Providers\UserServiceProvider::class,
        \Vehica\Providers\TemplateServiceProvider::class,
        \Vehica\Providers\ImageServiceProvider::class,
        \Vehica\Providers\SearchServiceProvider::class,
        \Vehica\Providers\AppServiceProvider::class,
        \Vehica\Providers\ConfigServiceProvider::class,
        \Vehica\Providers\CurrencyServiceProvider::class,
        \Vehica\Providers\ContactFormServiceProvider::class,
        \Vehica\Providers\FontsServiceProvider::class,
        \Vehica\Providers\WordpressServiceProvider::class,
        \Vehica\Providers\PageServiceProvider::class,
        \Vehica\Providers\LayoutServiceProvider::class,
        \Vehica\Providers\ElementorServiceProvider::class,
        \Vehica\Providers\SettingsServiceProvider::class,
        \Vehica\Providers\FrontendPanelServiceProvider::class,
        \Vehica\Providers\DemosServiceProvider::class,
        \Vehica\Providers\UserRoleServiceProvider::class,
        \Vehica\Providers\CarCardServiceProvider::class,
        \Vehica\Providers\NotificationsServiceProvider::class,
        \Vehica\Providers\StringsServiceProvider::class,
    ],
    'managers' => [
        \Vehica\Managers\PostManager::class,
        \Vehica\Managers\PostTypeManager::class,
        \Vehica\Managers\AdminScriptsManager::class,
        \Vehica\Managers\ElementorScriptsManager::class,
        \Vehica\Managers\AdminPanelManager::class,
        \Vehica\Managers\TranslateAdminPanelManager::class,
        \Vehica\Managers\MetaboxManager::class,
        \Vehica\Managers\FieldManager::class,
        \Vehica\Managers\TemplateManager::class,
        \Vehica\Managers\TaxonomyManager::class,
        \Vehica\Managers\LayoutManager::class,
        \Vehica\Managers\PostArchiveManager::class,
        \Vehica\Managers\UserManager::class,
        \Vehica\Managers\ScriptsManager::class,
        \Vehica\Managers\AdminPanelMenuManager::class,
        \Vehica\Managers\Elementor\ElementorManager::class,
        \Vehica\Managers\Elementor\ElementorWidgetsManager::class,
        \Vehica\Managers\Elementor\ElementorTemplatesManager::class,
        \Vehica\Managers\ImageManager::class,
        \Vehica\Managers\CarsManager::class,
        \Vehica\Managers\CarsApiManager::class,
        \Vehica\Managers\ConfigManager::class,
        \Vehica\Managers\TermManager::class,
        \Vehica\Managers\CurrencyManager::class,
        \Vehica\Managers\CurrencyTaxonomyManager::class,
        \Vehica\Managers\FontsManager::class,
        \Vehica\Managers\PageManager::class,
        \Vehica\Managers\CssManager::class,
        \Vehica\Managers\UtilsManager::class,
        \Vehica\Managers\KeywordSearchManager::class,
        \Vehica\Managers\DemosManager::class,
        \Vehica\Managers\LoginManager::class,
        \Vehica\Managers\RegisterManager::class,
        \Vehica\Managers\FrontendPanelManager::class,
        \Vehica\Managers\FlushRewriteRulesManager::class,
        \Vehica\Managers\PrepareImageForJs::class,
        \Vehica\Managers\UserRewriteManager::class,
        \Vehica\Managers\ErrorManager::class,
        \Vehica\Managers\SocialTagsManager::class,
        \Vehica\Managers\WordPressManager::class,
        \Vehica\Managers\FrontendPanelSettingsManager::class,
        \Vehica\Managers\CreateCarManager::class,
        \Vehica\Managers\EmbedPreviewManager::class,
        \Vehica\Managers\UploadImageManager::class,
        \Vehica\Managers\CustomerBalanceManager::class,
        \Vehica\Managers\StripeManager::class,
        \Vehica\Managers\PayPalManager::class,
        \Vehica\Managers\PaymentPackagesManager::class,
        \Vehica\Managers\CarsCarouselAjaxManager::class,
        \Vehica\Managers\FeaturedCarsAjaxManager::class,
        \Vehica\Managers\PhoneManager::class,
        \Vehica\Managers\FavoriteManager::class,
        \Vehica\Managers\UserRoleManager::class,
        \Vehica\Managers\SaveSubmitPanelManager::class,
        \Vehica\Managers\ContactFormManager::class,
        \Vehica\Managers\PanelCarListManager::class,
        \Vehica\Managers\BackgroundAccentManager::class,
        \Vehica\Managers\TransactionsManager::class,
        \Vehica\Managers\UserPackagesManager::class,
        \Vehica\Managers\WpmlManager::class,
        \Vehica\Managers\NotificationsManager::class,
        \Vehica\Managers\Woocommerce\WooCommerceManager::class,
        \Vehica\Managers\Woocommerce\SynchronizePackagesManager::class,
        \Vehica\Managers\AdvancedSettingsManager::class,
        \Vehica\Managers\ThemeManager::class,
        \Vehica\Managers\WPAllImportManager::class,
        \Vehica\Managers\TermImporterManager::class,
        \Vehica\Managers\SocialAuthManager::class,
        \Vehica\Managers\MapsManager::class,
        \Vehica\Managers\MessagesManager::class,
        \Vehica\Managers\UserPanelSettingsManager::class,
        \Vehica\Managers\PluginManager::class,
        \Vehica\Managers\CompareManager::class,
        \Vehica\Managers\TermRelationManager::class,
        \Vehica\Managers\CtaUrlManager::class,
        \Vehica\Managers\DeleteImagesManager::class,
        \Vehica\Managers\YoastManager::class,
        \Vehica\Managers\CheckExpireManager::class,
        \Vehica\Managers\TaxonomyUrlManager::class,
        \Vehica\Managers\AttachmentsManager::class,
        \Vehica\Managers\UploadAttachmentManager::class,
        \Vehica\Managers\RestApiManager::class,
        \Vehica\Managers\QueryTermsManager::class,
        \Vehica\Managers\LiteSpeedManager::class,
        \Vehica\Managers\UpdateManager::class,
    ]
];